---
apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      k8s.v1.cni.cncf.io/network-status: |-
        [{
            "name": "",
            "interface": "eth0",
            "ips": [
                "10.131.0.5"
            ],
            "default": true,
            "dns": {}
        }]
      k8s.v1.cni.cncf.io/networks-status: |-
        [{
            "name": "",
            "interface": "eth0",
            "ips": [
                "10.131.0.5"
            ],
            "default": true,
            "dns": {}
        }]
      openshift.io/scc: anyuid
    creationTimestamp: "2022-03-08T10:38:50Z"
    generateName: migrator-85c499d985-
    labels:
      app: migrator
      pod-template-hash: 85c499d985
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"12395376-088e-4a6c-9ecc-3ef5767b89df"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:containers:
            k:{"name":"migrator"}:
              .: {}
              f:command: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:cpu: {}
                  f:memory: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext: {}
          f:serviceAccount: {}
          f:serviceAccountName: {}
          f:terminationGracePeriodSeconds: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:38:50Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            .: {}
            k:{"type":"PodScheduled"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:message: {}
              f:reason: {}
              f:status: {}
              f:type: {}
      manager: kube-scheduler
      operation: Update
      time: "2022-03-08T10:38:50Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:k8s.v1.cni.cncf.io/network-status: {}
            f:k8s.v1.cni.cncf.io/networks-status: {}
      manager: multus
      operation: Update
      time: "2022-03-08T10:47:32Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.131.0.5"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      manager: kubelet
      operation: Update
      time: "2022-03-08T10:47:54Z"
    name: migrator-85c499d985-hznj9
    namespace: openshift-kube-storage-version-migrator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: migrator-85c499d985
      uid: 12395376-088e-4a6c-9ecc-3ef5767b89df
    resourceVersion: "20926"
    selfLink: /api/v1/namespaces/openshift-kube-storage-version-migrator/pods/migrator-85c499d985-hznj9
    uid: 93e93790-e16b-4320-8b26-ca8d55a51c1a
  spec:
    containers:
    - command:
      - migrator
      - --alsologtostderr
      - --v=2
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b268776e5b0b054bcac9ca4b57ce629c6d852d12792cf72d8c3adc2cb88037df
      imagePullPolicy: IfNotPresent
      name: migrator
      resources:
        requests:
          cpu: 100m
          memory: 200Mi
      securityContext:
        capabilities:
          drop:
          - MKNOD
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-storage-version-migrator-sa-token-dvd6h
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
    preemptionPolicy: PreemptLowerPriority
    priority: 0
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext:
      seLinuxOptions:
        level: s0:c22,c4
    serviceAccount: kube-storage-version-migrator-sa
    serviceAccountName: kube-storage-version-migrator-sa
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 300
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 300
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - name: kube-storage-version-migrator-sa-token-dvd6h
      secret:
        defaultMode: 420
        secretName: kube-storage-version-migrator-sa-token-dvd6h
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:47:30Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:47:54Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:47:54Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:47:30Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: cri-o://f8b20cc8442bca21f4abd31c54095705f63f939baa5b09c756068796c54c87b5
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b268776e5b0b054bcac9ca4b57ce629c6d852d12792cf72d8c3adc2cb88037df
      imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b268776e5b0b054bcac9ca4b57ce629c6d852d12792cf72d8c3adc2cb88037df
      lastState: {}
      name: migrator
      ready: true
      restartCount: 0
      started: true
      state:
        running:
          startedAt: "2022-03-08T10:47:53Z"
    hostIP: 10.0.94.235
    phase: Running
    podIP: 10.131.0.5
    podIPs:
    - ip: 10.131.0.5
    qosClass: Burstable
    startTime: "2022-03-08T10:47:30Z"
kind: PodList
metadata:
  resourceVersion: "82897"
  selfLink: /api/v1/namespaces/openshift-kube-storage-version-migrator/pods
